/* 4 колонки однакової висоти */
.wp-block-columns.col-block-top {
    display: grid !important;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 24px;
    align-items: stretch;
  }
  
  /* скидаємо дефолтні відступи/ширини колонок Gutenberg */
  .wp-block-columns.col-block-top > .wp-block-column {
    margin: 0 !important;
    min-width: 0 !important;
  }
  
.training > .wp-block-getwid-section__wrapper{
padding: 60px 15px 60px;
}
.training > .wp-block-getwid-section__wrapper h1
{margin: 0 0 35px;}
  /* картка */
  .wp-block-columns.col-block-top > .wp-block-column.info_block_top.top_1 {
    display: flex;
    flex-direction: column;
    padding: 20px;
    background: #fff;
    border-radius: 8px;
    box-sizing: border-box;
    height: 100%;
    border: 1px solid#E8E8E800;
  }
  .wp-block-columns.col-block-top > .wp-block-column.info_block_top.top_1:hover {
    border: 1px solid#B85450;
  }
  
  /* контент */
  .wp-block-columns.col-block-top > .wp-block-column.info_block_top.top_1 .wp-block-image {
    margin: 0 auto 12px;
  }
  .wp-block-columns.col-block-top > .wp-block-column.info_block_top.top_1 h2{
    margin: 0 auto 12px;
  }
  .sc_headin {
    margin-top: 40px;
  }
.sc_headin .title {
    margin:  0px auto 20px ;
}
  .about-counter-block{
    gap:0;
    padding: 40px 0;
  }
  .about-counter h2 {
    margin: 20px auto 15px;
  }
  .about-counter{
    padding: 0 15px;
  }
  .wp-block-columns.col-block-top > .wp-block-column.info_block_top.top_1 p {
    margin: 0;                 /* важливо */
    overflow-wrap: anywhere;
  }
  
  /* адаптив */
  @media (max-width: 1024px) {
    .wp-block-columns.col-block-top {
      grid-template-columns: repeat(2, minmax(0, 1fr));
    }
  }
  @media (max-width: 767px) {
    .wp-block-columns.col-block-top {
      grid-template-columns: 1fr;
    }
  }

  /* ===== mb-full-col / thim-ekits list course ===== */
.mb-full-col .thim-ekits-course__inner{
  display:grid;
  grid-template-columns:repeat(4,minmax(0,1fr));
  gap:24px;
}

.mb-full-col .thim-ekits-course__item{
  display:flex;
  flex-direction:column;
  height:100%;
  border-radius:10px;
  overflow:hidden;
  background:#fff;
}
.course-item-price{
  font-weight: 600;
}
.mb-full-col .thim-ekits-course__item .thim-ekits-course__thumbnail{
  margin-bottom:0; /* у вас було 25px */
}
.mb-full-col .thim-ekits-course__thumbnail img{
  width:100%;
  aspect-ratio:4/3;
  object-fit:cover;
}
.thim-ekits-course__meta.m-psi-space-between{
  margin-bottom: 0;
}
/* контент */
.mb-full-col .thim-ekits-course__content{
  display:flex;
  flex-direction:column;
  flex:1;
  padding:12px 0 0;
}

/* ПОСЛІДОВНІСТЬ як на скріні:
   1) Category + Price
   2) Title
   3) Count lesson
   4) Excerpt */
.mb-full-col .thim-ekits-course__content > .thim-ekits-course__meta:first-of-type{
  order:1;
  display:flex;
  justify-content:space-between;
  align-items:center;
  gap:10px;
}
.mb-full-col .thim-ekits-course__title{ order:2; }
.mb-full-col .thim-ekits-course__content > .thim-ekits-course__meta:nth-of-type(2){ order:3;  margin-bottom: 0; }
.mb-full-col .thim-ekits-course__excerpt{
  order:4;
  margin-top:8px;
}

/* category / price */
body .mb-full-col .course-categories a{
  color:#5d7f99 !important;
  text-decoration:none;
  font-size:14px;
  font-weight:600;
}
body .mb-full-col .course-categories a:hover{ 
  color:#b85450 !important;
  text-decoration: underline;

}

.mb-full-col .thim-ekits-course__price .price,
.mb-full-col .thim-ekits-course__price .free{
  color:#1f2b37;
  font-weight:700;
}
.courses_block .title_c{
  position: relative;
}
.courses_block .title_c::after {
  content: "";
  position: absolute;
  bottom: -10px;
  width: 90px;
  left: 0;
  height: 3px;
  background-color: #23445D;
}

.b_wit a, .view_all_courses , .is-style-outline a {
  padding: 4px 35px 4px 35px !important;
  font-size: 1em !important;
  font-weight: 500 !important;
  line-height: 38px !important;
  text-transform: uppercase !important;
  color: #333333;
  background-color: #FFFFFF !important;
  border-style: solid;
  border-width: 1px 1px 1px 1px !important;
  border-color: #333333 !important;
  border-radius: 4px 4px 4px 4px !important;
}

.b_wit a:hover, .view_all_courses:hover , .is-style-outline a:hover {

  color: #fff!important;
  background-color: #B85450!important;
  border-color: #B85450!important;
}
.top-courses{
  padding: 50px 0;
}
.b_wit a:after {
  content: "\f061";
  margin-left: 5px;
  font-family:thim-ekits !important;
    speak: never;
    font-style: normal;
    font-weight: 400;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
}
/* title: прибираємо старий nowrap із custom.css */
.mb-full-col .thim-ekits-course__title .course-title{
  display: block;
  white-space: nowrap !important;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
  max-width: 100%;
  font-size: 18px;
  color: #333;
}
.mb-full-col .thim-ekits-course__title{
  margin:6px 0 10px !important;
  padding-bottom:8px;
  border-bottom:1px solid #e2e6ea;
}

.mb-full-col .thim-ekits-course__item:hover .thim-ekits-course__title{
  border-bottom:1px solid #333;
}
.thim-ekits-course__read-more{
  font-size: 40px;
  border-style: none;
  color:#fff;
}
.thim-ekits-course__read-more:hover{
  color:#b85450;
}
 .course-thumbnail {
  border-radius: 8px 8px 8px 8px;
}
/* lessons */
.mb-full-col .thim-ekits-course__count-lesson{
  display:flex;
  align-items:center;
  gap:6px;
  color:#7d8894;
  font-size:14px;
  font-weight: 600;
}

/* excerpt */
.mb-full-col .thim-ekits-course__excerpt{
  color:#4f5d6b;
  line-height:1.45;
  display:-webkit-box;
  -webkit-line-clamp:3;
  -webkit-box-orient:vertical;
  overflow:hidden;
  min-height:4.3em;
}

/* адаптив */
@media (max-width:1199px){
  .mb-full-col .thim-ekits-course__inner{ grid-template-columns:repeat(2,minmax(0,1fr)); }
}
@media (max-width:767px){
  .mb-full-col .thim-ekits-course__inner{ grid-template-columns:1fr; }
}

/* ===== Category Tabs Block (like screenshot) ===== */
.react-course-categories .thim-carousel-course-categories-tabs{
  margin-top: 18px;
}

.react-course-categories .thim-course-slider .item{
  text-align: center;
  padding: 8px 10px 14px;
  cursor: pointer;
  position: relative;
}

.react-course-categories .thim-course-slider .item .icon{
  margin-bottom: 8px;
}
.react-course-categories .thim-course-slider .item .icon img{
  width: 60px;
  height: 60px;
  object-fit: contain;
  margin: 0 auto;
}

.react-course-categories .thim-course-slider .item .title{
  margin: 15px auto 0; 
  line-height: 1.2;
}
.react-course-categories .thim-course-slider .item .title a{
  color: #333;
  font-size: 18px;
  text-transform: uppercase;
  text-decoration: none;
  font-family: "Roboto Condensed", Sans-serif;
  font-weight: 600;
}

/* FORCE 2-column layout in active tab */
.react-course-categories .content_items .item_content.active{
  display: grid !important;
  grid-template-columns: minmax(420px, 1.2fr) minmax(320px, 1fr);
  grid-template-areas:
    "image content"
    "image button";
  column-gap: 28px;
  row-gap: 16px;
  align-items: start;
}
.react-course-categories .content_items .item_content > img.fleft{
  grid-area: image;
  float: none !important;
  width: 100%;
  max-width: 100%;
  margin: 0 !important;
  border-radius: 10px;
  object-fit: cover;
}
.react-course-categories .content_items .item_content > .content{
  grid-area: content;
}
.react-course-categories .content_items .item_content > .view_all_courses{
  grid-area: button;
  justify-self: start;
  align-self: start;
  color: #333;
}
/* mobile */
@media (max-width: 1024px){
  .react-course-categories .content_items .item_content.active{
    grid-template-columns: 1fr;
    grid-template-areas:
      "image"
      "content"
      "button";
  }
}

.form_block{
  background-image: url(/wp-content/uploads/2026/01/pexels-fauxels-3183145-1-scaled-1.webp);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  transition: background 0.3s, border 0.3s, border-radius 0.3s, box-shadow 0.3s;
    margin-top: 65px;
    margin-bottom: 80px;

}
.form_block > .wp-block-getwid-section__wrapper{
  padding: 80px 0px 80px 0px;
  background-color: #000000;
  opacity: 0.76;
  transition: background 0.3s, border-radius 0.3s, opacity 0.3s;
}
.p_text_home{
  color:#fff;
  margin-bottom: 15px !important;
}
.could_down_home .add_course{
  font-size: 30px!important;
  font-weight: normal!important;
  margin: 20px 0 35px!important;
  line-height: 1.2em!important;
  color: #6C8EBF!important;

}

.blocks_coul{
  background:transparent;
  padding: 0;

}
.blocks_coul .countdown-part{
  border: 4px solid #FFF;
  border-radius: 4px 4px 4px 4px;
  display: flex;
  margin-right: 30px;
  overflow: hidden;
  width: 100px;
  height: 100px;
  color: #fff;
}


.blocks_coul .countdown-value {
  position: relative;
  font-size: 44px;
  line-height: 33px;
  height: 35px;
  width: 60px;
  overflow: hidden;
  display: block;
  color: #fff;
  margin: 10px auto 0;
}


.blocks_coul .countdown-label{
  line-height: 20px;
  font-weight: 400;
  font-size: 16px;
}

.form_block .wp-block-heading{
  font-size: 1.1em;
  font-weight: normal;
  line-height: 1.3em;
  color: #FFFFFF;
}

.form_block .wpcf7-form-control-wrap input{
  padding: 11px 25px 12px 25px;
  border-style: none;
  border-radius: 4px 4px 4px 4px;
  color: #FFFFFF;
  background: #FFFFFF2E;
}

.form_block .wpcf7-form-control-wrap input::placeholder{
  color:#fff;
}


.form_block  .wpcf7-submit {
  padding: 15px 20px 15px 20px;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  width: 100%;
  margin-left: 0;
  margin-right: auto;
  display: block;
  border-style: none;
  border-radius: 4px 4px 4px 4px;
  color: #FFFFFF;
  background: #5D7F99;
}

/* ===== TPM sliders ===== */

.popular_instructors{
  background-image: url(/wp-content/uploads/2026/01/pexels-nietjuh-1809338-1-1-scaled-1.webp);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}
.popular_instructors .wp-block-column{
  margin: auto;
}
.popular_instructors > .wp-block-getwid-section__wrapper{
  background-color: #000000C2;
  padding: 80px 0px 80px 0px;
  opacity: 0.87;
  transition: background 0.3s, border-radius 0.3s, opacity 0.3s;
}
.popular_instructors h2{
  line-height: 1.2em;
  margin: 0 0 30px;
  color: #fff;
}
.tpm-swiper { overflow: hidden; }
.tpm-swiper .swiper-wrapper { display: flex; }
.tpm-swiper .swiper-slide { flex-shrink: 0; width: auto; }
.tpm-swiper {
  position: relative;
  padding: 8px 42px;
}
/* force arrow color */
/* instructors */
.tpm-instructor-card {
  text-align: center;
  color: #fff;
  display: flex;
  flex-direction: column;
}

.tpm-instructor-avatar-link {
  display: inline-block;
  margin-bottom: 10px;
}

.tpm-instructor-avatar {
  width: 170px;
  height: 170px;
  border-radius: 50%;
  object-fit: cover;
  border: 2px dashed rgba(255, 255, 255, 0.8);
  padding: 4px;
}

.tpm-instructor-name {
    font-size: 1.1em;
    font-weight: 500;
    color: #FFF;
    margin-bottom: 8px;
}
.tpm-instructor-desc {
  margin: 0;
  font-size: 16px;
  line-height: 25px;
  padding: 0 15px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  line-clamp: 3;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 100%;
  line-height: 1.45;
  min-height: calc(1.45em * 3); /* щоб картки були рівні */
}
.tpm-swiper .swiper-button-prev::after,
.tpm-swiper .swiper-button-next::after{
  content: none !important; /* прибрати старі */
}
.tpm-arrow-svg{
  width: 36px;
  height: 36px;
  fill: #5d7f99;
  transition: fill .2s ease;
  filter: drop-shadow(0 0 1px white) drop-shadow(0 0 1px white);
}

.tpm-swiper .swiper-button-prev:hover .tpm-arrow-svg,
.tpm-swiper .swiper-button-next:hover .tpm-arrow-svg{
  fill: #b85450;
}

/* events */
.tpm-event-card {
  background: #fff;
  border: 1px solid #e8edf2;
  border-radius: 10px;
  overflow: hidden;
  height: 100%;
}
.tpm-event-thumb-link {
  display: block;
}
.tpm-event-thumb {
  width: 100%;
  height: 220px;
  object-fit: cover;
}
.tpm-event-title {
  margin: 12px 14px 8px;
  font-size: 29px;
  line-height: 1.3;
}
.tpm-event-title a {
  color: #23445d;
  text-decoration: none;
}
.tpm-event-excerpt {
  margin: 0 14px 14px;
  color: #4f5d6b;
  line-height: 1.5;
  font-size: 31px;
}

.tpm-events-slider .thim-ekits-event__item{
  border-radius:4px;
  overflow:hidden;
  height:100%;
  margin: 0px 0px 0px 0px;
  background-color: #FFF;
}
.tpm-events-slider .thim-ekits-event__thumbnail{position:relative;width: 100%;}
.tpm-events-slider .event-thumbnail img{width:100%;height:220px;object-fit:cover;display:block}
.tpm-events-slider .label-event-status{position:absolute;right:16px;bottom:0;transform:translateY(50%);background:#c2514d;color:#fff;font-size:12px;font-weight:700;text-transform:uppercase;padding:7px 14px;line-height:1}
.tpm-events-slider .label-event-status:before {
  border-bottom: var(--thim-ekits-event-status-triangle, 14px) solid var(--thim-ekits-event-status-bg-color, #c2514d);
}

.tpm-events-slider .thim-ekits-event__content{padding:28px 20px 18px}
.tpm-events-slider .thim-ekits-event__date-month{display:flex;align-items:center;gap:14px;margin-bottom:14px}
.tpm-events-slider .thim-ekits-event__date-month .date{font-size:52px;line-height:.9;font-weight:700;color:#5d7f99}
.tpm-events-slider .thim-ekits-event__date-month .month{
  font-size:18px;
  text-transform:uppercase;
  color:#b4b8bc;
  position:relative;
  padding-left:14px
}
.tpm-events-slider .thim-ekits-event__date-month .month:before{content:"";position:absolute;left:0;top:2px;bottom:2px;width:1px;background:#d7dbe0}
.tpm-events-slider .thim-ekits-event__title{
  font-size: 1.2em;
  line-height: 1.6em;
  margin-bottom: 18px;
}
.tpm-events-slider .thim-ekits-event__title a{color:#2f3f4d;text-decoration:none}
.tpm-events-slider .thim-ekits-event__meta{
  display:flex;
  flex-wrap:wrap;
  gap:10px 18px;
  margin-bottom:12px;
  color:#5c6e7d;
  font-size: 15px;
  font-weight: 400;
  line-height: 1.6em;
}
.tpm-events-slider .thim-ekits-event__meta i{margin-right:7px}
.tpm-events-slider .thim-ekits-event__excerpt{
  font-size:16px;
  line-height:1.55;
  color:#4d5a66;
  margin-bottom:10px;
  display:-webkit-box;
  -webkit-line-clamp:3;
  -webkit-box-orient:vertical;
  overflow:hidden
}
.tpm-events-slider .thim-ekits-event__read-more{font-size:13px;font-weight:700;letter-spacing:.2px;text-transform:uppercase;color:#2f3f4d;text-decoration:none}
.tpm-events-slider .thim-slider-nav{color:#5d7f99}
.tpm-events-slider .thim-slider-nav:hover{color:#b85450}

.event_block{
  background:#F0F4FA;
  padding: 80px 0px 120px 0px;
}

.event_block h2{
  margin: 0 0 30px;
}
.abaut_us_home{
  align-items:center !important; 
}
.abaut_us_home h2 {
  position: relative;
margin-bottom: 30px;
}
.abaut_us_home h2::after {
  content: "";
  position: absolute;
  bottom: -10px;
  width: 55px;
  left: 0;
  height: 3px;
  background-color: #23445D;
}
.label .counter-number{
  font-size: 36px;
  color:#b85450
}
.label .counter-label{
  font-size: 1em;
  font-weight: 500;
  text-transform: none;
  line-height: 1.2em;
  color: #333333;
}
.label .thim-blocks-counter{
  margin: 20px 0;
  gap: 15px;
  display: flex;
  flex-direction: column;
}
.label  .wp-block-column{
  display: grid;
}
.iconbox-text-center{
  padding: 60px 15px;
  margin-bottom: 2em;
  text-align: center;
  border: 1px solid #EFEFEF;
  border-radius: 8px 8px 8px 8px;
  box-shadow: 2px 2px 25px 0px rgba(0, 0, 0, 0.05);
}
.iconbox-text-center:hover{
  border-color: #B85450;
}
.iconbox-text-center .icon {
  display: block;
  width: 100%;
  text-align: center;
}
.iconbox-text-center .icon i{
font-size: 80px;
color: #5D7F99;
} 
.iconbox-text-center h2{
  font-size: 18px;
  font-weight: 500;
  margin: 4px auto 15px;
  color: #23445D;
}
.work_with_us .left_work h2{
  position: relative;
  margin-bottom: 30px;
}
.work_with_us .left_work h2::after{
  width: 55px;
  height: 3px;
  background-color: #23445D;
  content: "";
  position: absolute;
  bottom: -10px;
  right: 0;
}
.work_with_us .left_work p{
  font-weight: 400;
  line-height: 1.6em;
  color: #333333;
}
.sponsor_galery{
  border-style: solid;
  border-width: 1px 0px 0px 0px;
  border-color: #DDDDDD;
  padding: 40px 0px 40px 0px;
}
.sponsor_galery img {
  opacity: 0.7;
  -webkit-filter: grayscale(100%);
  filter: grayscale(100%);
  -webkit-transition: all 0.2s ease-in-out 0s;
  -khtml-transition: all 0.2s ease-in-out 0s;
  -moz-transition: all 0.2s ease-in-out 0s;
  -ms-transition: all 0.2s ease-in-out 0s;
  -o-transition: all 0.2s ease-in-out 0s;
  transition: all 0.2s ease-in-out 0s;
}
.sponsor_galery img:hover{
  -webkit-filter: inherit;
  cursor: pointer;
  filter: inherit;
  opacity: 1;
} 
.logo_galery img{
  object-fit: none !important;
}
.mobile_first h5{margin-bottom: 30px;}
.mobile_first h2{
margin: 0 0 40px;
position: relative;
}
.mobile_first h2::after {
  content: "";
  position: absolute;
  bottom: -10px;
  width: 55px;
  left: 0;
  height: 3px;
  background-color: #23445D;
}



/* mobile */
@media (max-width: 767px){

  .react-course-categories button.owl-next{
    left: 90%!important;
  }
  .react-course-categories button.owl-prev{
    right: 90%!important;
  }
  .form_block > .wp-block-getwid-section__wrapper {
    padding: 60px 15px ;
    background-color: #000000;
    opacity: 0.76;
    transition: background 0.3s, border-radius 0.3s, opacity 0.3s;
}
.thim-blocks-countdown .countdown-timer{
  display: flex !important;
  flex-direction: row !important;
  flex-wrap: wrap !important;
  gap: 12px !important;
  justify-content: center !important;
}
.thim-blocks-countdown .countdown-part{
  flex: 0 0 calc(50% - 6px) !important; /* 2 в ряд */
  width: calc(50% - 6px) !important;
  margin-right: 0 !important;
  box-sizing: border-box;
}
/* label: 2 зверху + 2 знизу */
.wp-block-columns.label{
  display: flex !important;
  flex-wrap: wrap !important;
  gap: 12px !important;
}
.wp-block-columns.label > .wp-block-column{
  flex: 0 0 calc(50% - 6px) !important;
  max-width: calc(50% - 6px) !important;
  margin: 0 !important;
  box-sizing: border-box;
}
.label .counter-number, .label .counter-label  {
  justify-content: center;
  display: flex;
}
.event_block {
  padding: 40px 0px 40px 0px;
}

}